include(FindSimpleLibrary)
include(FindPackageHandleStandardArgs)

find_simple_library(libcSDL_image.a SDL/SDL_image.h _
  PATH_VAR CSDL_IMAGE_PATH
  OTHER_MACROS SDL_IMAGE_MAJOR_VERSION SDL_IMAGE_MINOR_VERSION SDL_IMAGE_PATCHLEVEL)

set(CSDL_IMAGE_VERSION "${SDL_IMAGE_MAJOR_VERSION}.${SDL_IMAGE_MINOR_VERSION}.${SDL_IMAGE_PATCHLEVEL}")

find_package_handle_standard_args(cSDL_image
  REQUIRED_VARS CSDL_IMAGE_PATH
  VERSION_VAR CSDL_IMAGE_VERSION)

if(cSDL_image_FOUND)
  add_library(cSDL_image::cSDL_image UNKNOWN IMPORTED)
  set_target_properties(cSDL_image::cSDL_image PROPERTIES
    IMPORTED_LOCATION "${CSDL_IMAGE_PATH}"
    INTERFACE_LINK_OPTIONS -lcSDL_image
    IMPORTED_LINK_INTERFACE_LIBRARIES cSDL::cSDL cJPEG::cJPEG cPNG::cPNG Gint::Gint -lc)
endif()
